summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2012-06-28 00:27:31 +0900
committerGwenole Beauchesne <gwenole.beauchesne@intel.com>2012-07-19 13:07:20 +0200
commit7eef852bdb92c805ec5efb45886a7c03f3bdc015 (patch)
tree608e30b83cf1fa5c58452960a699f905a44cb23c
parent27246f04abd678507f0b56c12635915fec0aeea9 (diff)
configure: put m4 macros and autogenerated files into m4/ directory.
Signed-off-by: Gwenole Beauchesne <gwenole.beauchesne@intel.com>
-rw-r--r--Makefile.am2
-rwxr-xr-xautogen.sh4
-rw-r--r--configure.ac7
3 files changed, 11 insertions, 2 deletions
diff --git a/Makefile.am b/Makefile.am
index 7b35b58..a204514 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,3 +1,5 @@
+ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
+
AUTOMAKE_OPTIONS = foreign
SUBDIRS = debian.upstream gst-libs gst pkgconfig tests docs
diff --git a/autogen.sh b/autogen.sh
index 9e15ad9..7f9a198 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,6 +12,8 @@ test $TEST_TYPE $FILE || {
exit 1
}
+mkdir -p m4
+
GTKDOCIZE=`which gtkdocize`
if test -z $GTKDOCIZE; then
echo "*** No gtk-doc support ***"
@@ -33,7 +35,7 @@ if test -z $AUTORECONF; then
echo "*** No autoreconf found ***"
exit 1
else
- ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v --install || exit $?
+ autoreconf -v --install || exit $?
fi
if test -z "$NO_CONFIGURE"; then
diff --git a/configure.ac b/configure.ac
index e221e4f..9a6c89a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -59,10 +59,15 @@ AC_PREREQ([2.58])
AC_INIT([gst_vaapi], [gst_vaapi_version],
[gwenole.beauchesne@intel.com],
[gstreamer-vaapi])
+
+AC_CONFIG_HEADERS([config.h])
AC_CONFIG_SRCDIR([Makefile.am])
+AC_CONFIG_MACRO_DIR([m4])
+AC_CONFIG_AUX_DIR([build-aux])
+
AC_CANONICAL_TARGET
+
AM_INIT_AUTOMAKE
-AC_CONFIG_HEADERS([config.h])
TODAY="`LC_ALL=C date +'%a, %d %b %Y %X %z'`"
AC_SUBST(TODAY)